sigmlgen

## Class SigningRefProcessor

- java.lang.Object
- - sigmlgen.SigningRefProcessor

-     public class SigningRefProcessor
      extends java.lang.Object

  Processor for a SiGML `<signing_ref>` element, for which it generates the appropriate sequence of gestural-SiGML signs. Typically, a `SigningRefProcessor` is created by a `SiGMLDocToGSiGMLSigns` and it does its job by recursively creating another `SiGMLDocToGSiGMLSigns` for the document identified by the `<signing_ref>` element's URI attribute.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SigningRefProcessor(HNSSignElementToHNS hstoh, HNSToHML htoh, HMLToSiGML htos, XmlElementTextGen xtgen, java.net.URI BASE, org.w3c.dom.Element S_REF)` Constructs a processor for the given `<signing_ref>` element, using the given base URI, converters, and XML text generator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GSiGMLSign[]` | `getSigns()` Returns the sequence of signs for this processor's signing-reference element, which will be empty if error(s) occurred during processing.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SigningRefProcessor

          public SigningRefProcessor(HNSSignElementToHNS hstoh,
                                     HNSToHML htoh,
                                     HMLToSiGML htos,
                                     XmlElementTextGen xtgen,
                                     java.net.URI BASE,
                                     org.w3c.dom.Element S_REF)

      Constructs a processor for the given `<signing_ref>` element, using the given base URI, converters, and XML text generator.

  - ### Method Detail

    - #### getSigns

          public GSiGMLSign[] getSigns()

      Returns the sequence of signs for this processor's signing-reference element, which will be empty if error(s) occurred during processing.